Loading...
Searching...
No Matches
RDKit::MolStandardize::Reionizer Class Reference

`#include <Charge.h>`

## Public Member Functions

| Reionizer ()
| Reionizer (const std::string acidbaseFile)
| construct a Reionizer with a particular acidbaseFile
| Reionizer (const std::vector< std::tuple< std::string, std::string, std::string > > &data)
| construct a Reionizer with parameter data
| Reionizer (const std::string acidbaseFile, const std::vector< ChargeCorrection > ccs)
| Reionizer (std::istream &acidbaseStream, const std::vector< ChargeCorrection > ccs)
| Reionizer (const std::vector< std::tuple< std::string, std::string, std::string > > &data, const std::vector< ChargeCorrection > ccs)
| construct a Reionizer with parameter data and charge corrections
| Reionizer (const Reionizer &other)=delete
| making Reionizer objects non-copyable
Reionizer & | operator= (Reionizer const &)=delete
| ~Reionizer ()
ROMol * | reionize (const ROMol &mol)
| Enforce charges on certain atoms, then perform competitive reionization.
void | reionizeInPlace (RWMol &mol)

## Detailed Description

The reionizer class to fix charges and reionize a molecule such that the strongest acids ionize first.

Notes:

Definition at line 59 of file Charge.h.

## Constructor & Destructor Documentation

## Reionizer() [1/7]

RDKit::MolStandardize::Reionizer::Reionizer | ( |  | ) |

Referenced by operator=(), and Reionizer().

## Reionizer() [2/7]

RDKit::MolStandardize::Reionizer::Reionizer | ( | const std::string | acidbaseFile | ) |

construct a Reionizer with a particular acidbaseFile

## Reionizer() [3/7]

RDKit::MolStandardize::Reionizer::Reionizer | ( | const std::vector< std::tuple< std::string, std::string, std::string > > & | data | ) |

construct a Reionizer with parameter data

## Reionizer() [4/7]

RDKit::MolStandardize::Reionizer::Reionizer | ( | const std::string | acidbaseFile,
|  | const std::vector< ChargeCorrection > | ccs )

construct a Reionizer with a particular acidbaseFile and charge corrections

## Reionizer() [5/7]

RDKit::MolStandardize::Reionizer::Reionizer | ( | std::istream & | acidbaseStream,
|  | const std::vector< ChargeCorrection > | ccs )

construct a Reionizer with a particular acidbaseFile and charge corrections

## Reionizer() [6/7]

RDKit::MolStandardize::Reionizer::Reionizer | ( | const std::vector< std::tuple< std::string, std::string, std::string > > & | data,
|  | const std::vector< ChargeCorrection > | ccs )

construct a Reionizer with parameter data and charge corrections

## Reionizer() [7/7]

RDKit::MolStandardize::Reionizer::Reionizer | ( | const Reionizer & | other | ) |

delete

making Reionizer objects non-copyable

References Reionizer().

## ~Reionizer()

RDKit::MolStandardize::Reionizer::~Reionizer | ( |  | ) |

## Member Function Documentation

## operator=()

Reionizer & RDKit::MolStandardize::Reionizer::operator= | ( | Reionizer const & |  | ) |

delete

References Reionizer().

## reionize()

ROMol * RDKit::MolStandardize::Reionizer::reionize | ( | const ROMol & | mol | ) |

Enforce charges on certain atoms, then perform competitive reionization.

## reionizeInPlace()

void RDKit::MolStandardize::Reionizer::reionizeInPlace | ( | RWMol & | mol | ) |

Enforce charges on certain atoms, then perform competitive reionization, modifies molecule in place

The documentation for this class was generated from the following file:

- Charge.h